Bug 23550 - RFE: init.d scripts and parameter passing
Summary: RFE: init.d scripts and parameter passing
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: samba (Show other bugs)
(Show other bugs)
Version: 7.1
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Trond Eivind Glomsrxd
QA Contact: David Lawrence
URL:
Whiteboard: Florence Beta-3
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-01-07 19:36 UTC by R P Herrold
Modified: 2007-04-18 16:30 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-01-12 02:03:45 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description R P Herrold 2001-01-07 19:36:52 UTC
Per discussion on testers-list, expanding a systematic options passing in initscript started processes:

Add a file   /etc/sysconfig/smb    and a pair of  variable  SOPTIONS and NOPTIONS  (for SMB-options and NMB-options, respectively

Allowing:

SOPTIONS=" -d "

and 

NOPIONS=" -d " and so forth


-----------------

Source that file and use xOPTIONS in the start branch ...S and N for the smbd and nmbd

Feed the initescript patch back to the SAMBA team.

Comment 1 Glen Foster 2001-01-11 21:14:07 UTC
This defect is considered MUST-FIX for Florence Gold release

Comment 2 R P Herrold 2001-01-12 02:03:41 UTC
See also: 16431, 23171, and 23172

Comment 3 Bill Nottingham 2001-01-18 22:53:41 UTC
Will be fixed in 2.0.7-24.


Note You need to log in before you can comment on or make changes to this bug.